summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Lockywolf2023-11-28 22:14:42 +0100
committer Willy Sudiarto Raharjo2023-11-29 12:42:11 +0100
commit5368f2aa58b5f1e5fa24099f55fbcb3ac7b3d4b2 (patch)
tree11e7df4e85dd6ea6e27e870d8147b061e9f3b951 /office
parentbc63e99fd8681d89609ed491b7983157113b882a (diff)
downloadslackbuilds-5368f2aa58b5f1e5fa24099f55fbcb3ac7b3d4b2.tar.gz
office/unaesgcm: Added (omemo decryption).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/unaesgcm/README18
-rw-r--r--office/unaesgcm/doinst.sh6
-rw-r--r--office/unaesgcm/slack-desc19
-rw-r--r--office/unaesgcm/unaesgcm.SlackBuild118
-rw-r--r--office/unaesgcm/unaesgcm.info10
5 files changed, 171 insertions, 0 deletions
diff --git a/office/unaesgcm/README b/office/unaesgcm/README
new file mode 100644
index 0000000000..b5c7649c9b
--- /dev/null
+++ b/office/unaesgcm/README
@@ -0,0 +1,18 @@
+unaesgcm is An AES-256-GCM de-/encryption utility specializing on
+`aesgcm`-scheme URLs as described in the [OMEMO media sharing XMPP
+extension (XEP-0454)](https://xmpp.org/extensions/xep-0454.html) and as
+implemented in modern XMPP clients. The latter meaning, in particular,
+that the initialization vector size is not restricted to 96 bits.
+
+The utility consists of:
+
+* `unaesgcm` command for decrypting local files;
+* `aesgcm-open` command for fetching URLs, decrypting and opening files
+ with associated applications;
+* a desktop entry handling `aesgcm` URLs using a GUI-friendly flavor of
+ the above command;
+* `aesgcm` command for encrypting local files that exists mostly for
+ symmetry.
+
+The utility is intended mainly for development/debugging, as the URLs
+with this scheme are supposed to be invisible to XMPP users, in ideal.
diff --git a/office/unaesgcm/doinst.sh b/office/unaesgcm/doinst.sh
new file mode 100644
index 0000000000..c114fdf1ea
--- /dev/null
+++ b/office/unaesgcm/doinst.sh
@@ -0,0 +1,6 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
diff --git a/office/unaesgcm/slack-desc b/office/unaesgcm/slack-desc
new file mode 100644
index 0000000000..50a1b30ac9
--- /dev/null
+++ b/office/unaesgcm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+unaesgcm: unaesgcm (unaesgcm is for aesgcm:// links decryption)
+unaesgcm:
+unaesgcm: unaesgcm is An AES-256-GCM de-/encryption utility specializing on
+unaesgcm: aesgcm://-scheme URLs as described in the [OMEMO media sharing XMPP
+unaesgcm: extension (XEP-0454)](https://xmpp.org/extensions/xep-0454.html) and
+unaesgcm: implemented in modern XMPP clients.
+unaesgcm:
+unaesgcm:
+unaesgcm:
+unaesgcm:
+unaesgcm:
diff --git a/office/unaesgcm/unaesgcm.SlackBuild b/office/unaesgcm/unaesgcm.SlackBuild
new file mode 100644
index 0000000000..94b8658776
--- /dev/null
+++ b/office/unaesgcm/unaesgcm.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/bash
+
+# Copyright Lockywolf 2023
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=unaesgcm
+VERSION=${VERSION:-0.4.1.20220827_0cf9cb}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+COMMIT=0cf9cb6e37c5944b1f441cb6295ecf35329d821f
+
+ARCH=${ARCH:-}
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+PRINT_PACKAGE_NAME=${PRINT_PACKAGE_NAME:-}
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PRGNAM-$COMMIT
+tar xvf $CWD/$PRGNAM-$COMMIT.tar.?z || exit 1
+cd $PRGNAM-$COMMIT || exit 1
+
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+
+#sed -i "s|/usr/local|$PKG/usr|g" Makefile
+sed -i "s|/usr/local|/usr|g" Makefile
+# sed -i 's|ln -sf /usr/local/bin/aesgcm-open /usr/local/libexec/unaesgcm/aesgcm-open-gui/||g' Makefile
+sed -i '/update-desktop-database/d' Makefile
+
+make || make || exit 1
+make install DESTDIR=$PKG || exit 1
+#rm $PKG/usr/share/applications/mimeinfo.cache
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || :
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || :
+)
+
+
+mkdir -p $PKG/usr/doc/${PRGNAM}-$VERSION
+
+
+cat "$CWD/$PRGNAM.SlackBuild" > $PKG/usr/doc/${PRGNAM}-$VERSION/$PRGNAM.SlackBuild
+cp -ar \
+ LICENSE.md README.md \
+ $PKG/usr/doc/${PRGNAM}-$VERSION
+
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
+
diff --git a/office/unaesgcm/unaesgcm.info b/office/unaesgcm/unaesgcm.info
new file mode 100644
index 0000000000..6f68b028dd
--- /dev/null
+++ b/office/unaesgcm/unaesgcm.info
@@ -0,0 +1,10 @@
+PRGNAM="unaesgcm"
+VERSION="0.4.1.20220827_0cf9cb"
+HOMEPAGE="https://github.com/Yuubi-san/unaesgcm/"
+DOWNLOAD="https://github.com/Yuubi-san/unaesgcm/archive/0cf9cb6e37c5944b1f441cb6295ecf35329d821f/unaesgcm-0cf9cb6e37c5944b1f441cb6295ecf35329d821f.tar.gz"
+MD5SUM="0d77b478101ae2b3cbce46b5efd18114"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo.unaesgcm_2023-05-16@lockywolf.net"